ihdrbox_param Struct Reference

I.5.3.1 Image Header box. More...

`#include <ihdrbox_manager.h>`

## Data Fields

Byte4_t | height
Byte4_t | width
Byte2_t | nc
| number of components
Byte_t | bpc
| bits per component

## Detailed Description

I.5.3.1 Image Header box.

## Field Documentation

## bpc

Byte_t ihdrbox_param::bpc

bits per component

Referenced by gene_ihdrbox(), get_SIZ_from_jpipstream(), handle_PNMreqMSG(), and output_log().

## height

Byte4_t ihdrbox_param::height

Referenced by gene_ihdrbox(), get_SIZ_from_jpipstream(), handle_PNMreqMSG(), handle_SIZreqMSG(), and output_log().

## nc

Byte2_t ihdrbox_param::nc

number of components

Referenced by gene_ihdrbox(), get_SIZ_from_jpipstream(), handle_PNMreqMSG(), and output_log().

## width

Byte4_t ihdrbox_param::width

Referenced by gene_ihdrbox(), get_SIZ_from_jpipstream(), handle_PNMreqMSG(), handle_SIZreqMSG(), imagetopnm(), and output_log().

The documentation for this struct was generated from the following file:

- ihdrbox_manager.h